<app-title-card [title]="currentStudySet.title" [actions]="true" [toStudySets]="true"></app-title-card>
<mat-card class="card-detail">
  <mat-card-header>
    <img mat-card-avatar [src]="user.profile_photo" [alt]="user.username" />
    <mat-card-title class="is-size-5">{{
      currentStudySet.title
    }}</mat-card-title>
    <mat-card-subtitle class="is-size-6">{{
      currentStudySet.description
    }}</mat-card-subtitle>
  </mat-card-header>
  <mat-card-content>
    <p class="is-size-6">
      <span class="has-text-weight-bold">Creation date:</span> {{ currentStudySet.creation_date | date }}
    </p>
    <p class="is-size-6">
      <span class="has-text-weight-bold">Visibility:</span> {{ currentStudySet.visibility | titlecase }}
    </p>
  </mat-card-content>
  <mat-card-actions>
    <button *ngIf="cardsOfCurrentStudy.length > 0" mat-raised-button color="primary" [routerLink]="'./cards'">
      Study
    </button>
    <button mat-raised-button color="primary" (click)="openCreateCardDialog()">
      Create Card
    </button>
    <button mat-button color="accent" (click)="openEditStudySetDialog()">
      Edit
    </button>
    <button mat-button color="warn" (click)="openDeleteDialog()">
      Delete
    </button>
  </mat-card-actions>
</mat-card>
<div *ngIf="cardsOfCurrentStudy.length > 0" class="has-text-centered">
  <h3 class="is-size-3">Cards</h3>
</div>
<ng-container *ngFor="let card of cardsOfCurrentStudy; let i = index">
  <mat-card *ngIf="card.term" class="card-detail">
    <mat-card-content>
      <div class="my-4">
        <h3 class="is-size-3">{{ card.term }}</h3>
        <h5 class="is-size-5">{{ card.definition }}</h5>
      </div>
    </mat-card-content>
    <mat-card-actions>
      <button mat-icon-button (click)="openEditCardDialog(i)">
        <mat-icon>create</mat-icon>
      </button>
      <button mat-icon-button color="warn" (click)="openDeleteCardDialog(i)">
        <mat-icon>delete</mat-icon>
      </button>
    </mat-card-actions>
  </mat-card>
</ng-container>
<div *ngIf="currentStudySet.folder" class="has-text-centered">
  <h3 class="is-size-3">Folder</h3>
  <mat-card class="card-detail">
    <mat-card-title> {{ currentStudySet.folder.title }} </mat-card-title>
    <mat-card-actions>
      <button mat-raised-button color="primary" [routerLink]="['/home/folders/', currentStudySet.folder.id]">
        Open Folder
      </button></mat-card-actions>
  </mat-card>
</div>
